%define upstream_name Pod-Weaver-Section-Contributors
%define upstream_version 0.009

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    A section listing contributors
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::Stash::Plugins)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Pod::Elemental::Element::Nested)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Verbatim)
BuildRequires: perl(Pod::Weaver::Role::Section)
BuildArch:  noarch

%description
This section adds a listing of the documents contributors. It expects a
contributors input parameter to be an arrayref of strings. If no
contributors parameter is given, it will do nothing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.9.0-7.mga10
+ Revision: 2200399
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.9.0-6.mga9
+ Revision: 1805408
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.9.0-5.mga8
+ Revision: 1496844
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.9.0-4.mga7
+ Revision: 1270803
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.9.0-3.mga6
+ Revision: 1032350
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.9.0-2.mga6
+ Revision: 966491
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.9.0-1.mga6
+ Revision: 845795
- update to 0.009

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-3.mga5
+ Revision: 741101
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Aug 08 2014 sander85 <sander85> 0.8.0-1.mga5
+ Revision: 661035
- update to 0.008

* Thu Feb 06 2014 sander85 <sander85> 0.7.0-1.mga5
+ Revision: 584466
- update to 0.007

* Sat Oct 19 2013 umeabot <umeabot> 0.6.0-2.mga4
+ Revision: 529946
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 sander85 <sander85> 0.6.0-1.mga4
+ Revision: 454216
- imported package perl-Pod-Weaver-Section-Contributors

